#!/bin/bash
set -e

#
# start the biz demo
#

echo removing old directory...
rm -rf biz-demo

echo downloading tar file...
curl https://younite.us/attachments-demo/biz-local-demo.tar --output biz-local-demo.tar

echo extracting tar file...
tar -xf biz-local-demo.tar

echo removing tar file...
rm biz-local-demo.tar

echo logging into ECR...
aws ecr get-login-password --region us-west-2 | docker login --username AWS --password-stdin 160909222919.dkr.ecr.us-west-2.amazonaws.com

echo starting biz demo...
python3 biz-demo/scripts/start.py -l
