#!/bin/bash

echo stopping and removing all docker containers...

# running docker compose down -v FIRST ensures associated volumes are removed
docker compose down -v

# next, remove any other containers that are not part of the docker compose
docker stop $(docker ps -q) || true
docker rm $(docker ps -a -q) || true
